Subject: Re: (SC22docs.1131) SC 22 N 3235 - Summary of Voting on SC 22 N 3206

From: "Keith Brannon" <[email-masked]>
Date: Wed, 16 May 2001 15:28:04 +0200

Please circulate
----- Original Message -----
From: "Matthew Deane" <[email-masked]>
To: "'SC 22 Distribution List'" <[email-masked]>
Sent: Tuesday, May 15, 2001 10:13 PM
Subject: (SC22docs.1131) SC 22 N 3235 - Summary of Voting on SC 22 N 3206

> ISO/IEC JTC 1/SC22
> Programming languages, their environments and system software interfaces
> Secretariat:  U.S.A.  (ANSI)
>
> ISO/IEC JTC 1/SC22 N3235
>
> TITLE:
> Summary of Voting on SC 22 N 3206, Letter Ballot on POSIX Locale for
> Registration with ISO/IEC 15897
>
> DATE ASSIGNED:
> 2001-05-15
>
> SOURCE:
> Secretariat, ISO/IEC JTC 1/SC22
>
> BACKWARD POINTER:
> N/A
>
> DOCUMENT TYPE:
> Summary of Voting
>
> PROJECT NUMBER:
> 22.15897
>
> STATUS:
> The results of this ballot are sent to SC 22/WG 20 for resolution of the
> comments and appropriate action.
>
> ACTION IDENTIFIER:
> FYI
>
> DUE DATE:
> N/A
>
> DISTRIBUTION:
> Text
>
> CROSS REFERENCE:
> N3206
>
> DISTRIBUTION FORM:
> Def
>
>
> Address reply to:
> ISO/IEC JTC 1/SC22 Secretariat
> Matt Deane
> ANSI
> 25 West 43rd Street
> New York, NY  10036
> Telephone:  (212) 642-4992
> Fax:        (212) 840-2298
> Email:  [email-masked]
>
> _______ end of title page; beginning of summary ______________
>
>                       SUMMARY OF VOTING ON
>
>
> Letter Ballot Reference No:  SC22 N3206
> Circulated by:               JTC 1/SC22
> Circulation Date:            2001-02-16
> Closing Date:                2001-04-16
>
> SUBJECT:  Summary of Voting on SC 22 N 3206, Letter Ballot on POSIX Locale
> for Registration with ISO/IEC 15897
> ----------------------------------------------------------------------
>
> The following responses have been received on the subject of approval:
>
>
> "P" Members supporting approval without comment
>
> 7 (Canada, Czech Republic, Denmark, Germany, Ireland, Russian Federation,
> UK)
>
> "P" Members supporting approval with comments
>
> 2 (Netherlands, USA)
>
> "P" Members not supporting approval
>
> 0
>
> "P" Members abstaining
>
> 1 (France)
>
> "P" Members not voting
>
> 11 (Austria, Belgium, Brazil, China, Egypt, Finland, Japan, Norway,
Romania,
> Slovenia, Ukraine)
>
>
> ___________ end of summary, beginning on NB comments _____________
>
>
> Netherlands
> NEN (the Dutch NB) supports the registration of N3206 as the
> POSIX locale with the following comments:
>
> - differences between the (text of) the POSIX locale and the
> C locale may cause confusion, and should therefore be eliminated.
> As the POSIX locale is part of ISO 9945, and hence cannot easily
> be changed, it is recommended to make the C locale identical to
> the POSIX locale.
> - once the POSIX locale is registered, there is no need to maintain
> two versions of this specification; hence, WG15 is recommended to
> remove, at the earliest possibility, the text of the POSIX locale
> from ISO 9945.
> - once the POSIX locale is removed from the ISO 9945 standard, WG15
> and WG14 are recommended to revise the registered POSIX and C
> locales, in order to align the specifications with the ISO 8601
> standard for date formats (i.e., replace the mm/dd/yy format by the
> yyyy/mm/dd format).
>
>
> USA
> The US National Body votes to Approve with comments the POSIX Locale for
> Registration with ISO/IEC 15897
>
> Comment on POSIX locale registration:
>
> I realize this comment is beyond the original deadline, but not beyond
> the April 16 deadline for U.S. comments on the POSIX locale. I noticed
> that the values in three categories in the LC_CTYPE section have trailing
> semicolons (;). I tried running localedef on our platform on a locale
> with the same problems, and it found and reported the errors, so this
> probably should be fixed.
>
> The problems are:
>
> punct   <exclamation-mark>;<quotation-mark>;<number-sign>;\
>
>         <dollar-sign>;<percent-sign>;<ampersand>;<apostrophe>;\
> . . .
>
>
<left-curly-bracket>;<vertical-line>;<right-curly-bracket>;<tilde>;
>
> tolower (<A>,<a>);(<B>,<b>);(<C>,<c>);(<D>,<d>);(<E>,<e>);\
>
>         (<F>,<f>);(<G>,<g>);(<H>,<h>);(<I>,<i>);(<J>,<j>);\
>
>         (<K>,<k>);(<L>,<l>);(<M>,<m>);(<N>,<n>);(<O>,<o>);\
>
>         (<P>,<p>);(<Q>,<q>);(<R>,<r>);(<S>,<s>);(<T>,<t>);\
>
>         (<U>,<u>);(<V>,<v>);(<W>,<w>);(<X>,<x>);(<Y>,<y>);(<Z>,<z>);
>
> #
>
> toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
>
>         (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
>
>         (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
>
>         (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
>
>         (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);(<z>,<Z>);
>
>
> Action:
>
> 1.  Remove the semicolon after <tilde> in the punct class.
> 2.  Move the toupper section before tolower and remove the semicolon after
> the (<z>,<Z>) pair in that definition.
> 3.  Either remove the semicolon after the (<Z>,<z>) pair in the tolower
> definition, *or* remove the entire section and replace it with this
comment:
>
> #  tolower is the inverse of toupper
>
> ___________ end of  NB comments _____________
>
>